org.codehaus.groovy.reflection.stdclasses

## Class CharacterCachedClass

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass
  - - org.codehaus.groovy.reflection.stdclasses.CharacterCachedClass

-     public class CharacterCachedClass
      extends CachedClass

  Author:
    Alex.Tkachman

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

      `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

      `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharacterCachedClass(java.lang.Class klazz, ClassInfo classInfo, boolean allowNull)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAssignableFrom(java.lang.Class classToTransformFrom)`
    `boolean` | `isDirectlyAssignable(java.lang.Object argument)`

    - ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

      `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CharacterCachedClass

          public CharacterCachedClass(java.lang.Class klazz,
                                      ClassInfo classInfo,
                                      boolean allowNull)

  - ### Method Detail

    - #### isDirectlyAssignable

          public boolean isDirectlyAssignable(java.lang.Object argument)

      Overrides:
        `isDirectlyAssignable` in class `CachedClass`

    - #### isAssignableFrom

          public boolean isAssignableFrom(java.lang.Class classToTransformFrom)

      Overrides:
        `isAssignableFrom` in class `CachedClass`